#ifndef __COM_HC_EVENT_H__
#define __COM_HC_EVENT_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
    COM_TASK_EVENT_ID_DEF = EMOS_EVENT_END,
    COM_EVENT_KICK,
    COM_EVENT_100MS,

    COM_EVENT_BSP2ATCMD,

    COM_EVENT_RUIATCMD,
    COM_EVENT_RUIATREQ,
    
    /* 1-wire event*/
    COM_EVENT_WIRP_RECV,
    COM_EVENT_WIRP_TRANS,

    COM_EVENT_WIRP_RUI_RECV,
    COM_EVENT_WIRP_RUI_TRANS,

    COM_EVENT_WIRP_RSP,

    
    COM_EVENT_PROTOCOL_DATRDY,

    /* hall effect*/
    COM_EVENT_HALLF_ACTIVE,

    /* primary timer event*/
    COM_EVENT_PRI_TIMER_SHOT_NEW,
    COM_EVENT_PRI_TIMER_TRIG,
    COM_EVENT_PRI_TIMER_SHOT,
    COM_EVENT_PRI_TIMER_EARLY,

    /* sec timer event*/
    COM_EVENT_SEC_TIMER_SHOT_NEW,
    COM_EVENT_SEC_TIMER_TRIG,
    COM_EVENT_SEC_TIMER_SHOT,
    COM_EVENT_SEC_TIMER_EARLY,

    /* sec nbiot event*/
    COM_EVENT_NBIOT_CMD,
    COM_EVENT_NBIOT_CMDTIMEOUT,
    COM_EVENT_NBIOT_TRANS,
    COM_EVENT_NBIOT_RECV,

    
    COM_EVENT_BLE_CONN,
    COM_EVENT_BLE_DISC,
    
    /* system */
    COM_EVENT_SYS_REBOOT,
    COM_EVENT_SYS_REST,
    COM_EVENT_SYS_DFU,
    COM_EVENT_SYS_INTV,
    COM_EVENT_SYS_TARGET_REST,
    COM_EVENT_SYS_TARGET_KILL,
    COM_EVENT_SYS_TARGET_REBOOT,
    COM_EVENT_SYS_TARGET_DFU,
    COM_EVENT_SYS_TARGET_INTV,
    
    COM_EVENT_SYS_SNSR_REST,
    COM_EVENT_SYS_SCMD_DUMP,
    COM_EVENT_SYS_PROBE_PWRON,
    
    COM_EVENT_SYS_INFO,
    COM_EVENT_SLEEP,
    COM_EVENT_WAKEUP,

    /* done message */
    COM_EVENT_PROBE_DFU_PUSH,
    COM_EVENT_PROBE_DELETE_DONE,
    COM_EVENT_PROBE_RESET_DONE,
    COM_EVENT_PROBE_REBOOT_DONE,
    COM_EVENT_PROBE_UPDATE_DONE,
    COM_EVENT_SENSOR_UPDATE_DONE,
    COM_EVENT_PROBE_PARAM_SAVE,
    COM_EVENT_SENSOR_PARAM_SAVE,
    COM_EVENT_PARAM_UPDATE,
    COM_EVENT_LORAWAN_ERR,

    /* other */
    COM_EVENT_SYS_INIT_DONE,
    COM_EVENT_SNSR_CKSTART,
    COM_EVENT_SNSR_CKDONE,
    COM_EVENT_SNSR_ALERT,
    COM_EVENT_SNSR_SYNCSTART,
    COM_EVENT_SNSR_SYNCDONE,
    COM_EVENT_SNSR_DATREQ,
    COM_EVENT_PROVISION_START,
    COM_EVENT_PROVISION_EXPIRED,
    COM_EVENT_PROVISION_DONE,
    COM_EVENT_PROBE_ONLINE,
    COM_EVENT_CLI_KEY,
    COM_EVENT_CLI_COMMAND,



    COM_EVENT_NBIOT_ENT_KEY,
    COM_EVENT_NBIOT_ENT_COMMAND,
    COM_EVENT_NBIOT_RECV_KEY,
    COM_EVENT_NBIOT_RECV_COMMAND,
    COM_EVENT_NBIOT_CONN,
    COM_EVENT_NBIOT_DISC,
    COM_EVENT_NBIOT_RECOVER,
    COM_EVENT_NBIOT_ACTIVE,
    COM_EVENT_NBIOT_SENDED,
    COM_EVENT_NBIOT_SENDFAIL,
    COM_EVENT_NBIOT_SENDTRY,
    COM_EVENT_NBIOT_NOSIMCARD,
    COM_EVENT_NBIOT_POWERON,
    COM_EVENT_NBIOT_POWEROFF,
    COM_EVENT_NBIOT_GPSERROR,

    COM_EVENT_LORA_TRANSPARENT,
    COM_EVENT_LORA_RECV,
    COM_EVENT_LORA_JOINED,
    
    COM_EVENT_LORAWAN_HEAP,
    COM_EVENT_LORAWAN_TITLE,
    COM_EVENT_LORAWAN_SEND,
    
    COM_EVENT_GPIO_PULLUP,
    COM_EVENT_GPIO_PULLDN,
    COM_EVENT_NEXT_WAKEUP,

    
    COM_EVENT_TEST_MSG,

    
    COM_EVENT_DFUMODE,

    // COM_EVENT_TRANSF,

} COM_TASK_EVENT_ID_E;

emos_extern(event);

#ifdef __cplusplus
}
#endif

#endif
